Subject: Re: [PATCH] virtio: fix virtio_config_ops kerneldocs

From: "Michael S. Tsirkin" <[email-masked]>
Date: Tue, 20 Dec 2022 05:25:04 -0500

On Tue, Dec 20, 2022 at 10:54:17AM +0100, Ricardo Cañuelo wrote:
> Hi Bagas,
> 
> Thanks for the review, some comments below:
> 
> On 20/12/22 10:12, Bagas Sanjaya wrote:> On Tue, Dec 20, 2022 at 08:37:09AM +0100, Ricardo Cañuelo wrote:
> > Describe the steps needed to fix both warnings above. I see in the diff that:
> > 
> >    * move vq_callback_t() declaration above;
> >    * match entity type of virtio_config_ops; and
> >    * reformat @finalize_features description.
> 
> I wouldn't like to add redundant info in the commit message for
> such a trivial patch. The commit message describes _what_ the
> patch does. The _how_ is just as clear in the patch itself as in
> this description, IMO.

Yea it's overkill for this patch.

> > 
> > > Signed-off-by: Ricardo Cañuelo <[email-masked]>
> > 
> > You need to add appropriate tags:
> > 
> > Link: https://lore.kernel.org/linux-next/[email-masked]/
> > Fixes: 333723e8bc393d ("docs: driver-api: virtio: virtio on Linux")
> > Reported-by: Stephen Rothwell <[email-masked]>
> 
> Thanks for the tip although, actually, it's not that commit that
> needs to be fixed but the kerneldoc itself.

This doesn't matter I think, what Fixes tag does is tell tools
if you have commit A you want this one on top.

> The warnings were
> made visible after that commit but not introduced by it. I'll add
> the Reported-by tag in v2.
> 
> Cheers,
> Ricardo